## ETableGroupContainer ETableGroupContainer |

## Functions

ETableGroup * | e_table_group_container_new ()
void | e_table_group_container_construct ()
gboolean | e_table_group_container_is_editing ()

## Properties

gboolean | alternating-row-colors | Write
int | cursor-mode | Write
gboolean | drawfocus | Write
gboolean | frozen | Read / Write
double | height | Read / Write
gboolean | horizontal-draw-grid | Write
int | length-threshold | Read / Write
double | minimum-width | Read / Write
ESelectionModel * | selection-model | Write
gboolean | uniform-row-height | Read / Write
gboolean | vertical-draw-grid | Write
double | width | Read / Write

## Types and Values

struct | ETableGroupContainerChildNode

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GnomeCanvasItem
                ╰── GnomeCanvasGroup
                    ╰── ETableGroup
                        ╰── ETableGroupContainer

## Description

## Functions

### e_table_group_container_new ()

    ETableGroup *
    e_table_group_container_new (GnomeCanvasGroup *parent,
                                 ETableHeader *full_header,
                                 ETableHeader *header,
                                 ETableModel *model,
                                 ETableSortInfo *sort_info,
                                 gint n);

`ETableGroupContainer` is an `ETableGroup` which groups by the nth grouping of the `ETableSortInfo`. It creates `ETableGroups` as children.

#### Parameters

parent | The `GnomeCanvasGroup` to create a child of. |
full_header | The full header of the `ETable`. |
header | The current header of the `ETable`. |
model | The `ETableModel` of the `ETable`. |
sort_info | The `ETableSortInfo` of the `ETable`. |
n | Which grouping level this is (Starts at 0 and sends n + 1 to any child `ETableGroups`. |

#### Returns

The new `ETableGroupContainer`.

### e_table_group_container_construct ()

    void
    e_table_group_container_construct (GnomeCanvasGroup *parent,
                                       ETableGroupContainer *etgc,
                                       ETableHeader *full_header,
                                       ETableHeader *header,
                                       ETableModel *model,
                                       ETableSortInfo *sort_info,
                                       gint n);

This routine constructs the new `ETableGroupContainer`.

#### Parameters

parent | The `GnomeCanvasGroup` to create a child of. |
etgc | The `ETableGroupContainer`. |
full_header | The full header of the `ETable`. |
header | The current header of the `ETable`. |
model | The `ETableModel` of the `ETable`. |
sort_info | The `ETableSortInfo` of the `ETable`. |
n | Which grouping level this is (Starts at 0 and sends n + 1 to any child `ETableGroups`. |

### e_table_group_container_is_editing ()

    gboolean
    e_table_group_container_is_editing (ETableGroupContainer *etgc);

## Types and Values

### struct ETableGroupContainerChildNode

    struct ETableGroupContainerChildNode {
    	ETableGroup *child;
    	gpointer key;
    	gchar *string;
    	GnomeCanvasItem *text;
    	GnomeCanvasItem *rect;
    	gint count;
    };

## Property Details

### The `“alternating-row-colors”` property

      “alternating-row-colors”   gboolean

Alternating Row Colors.

Owner: ETableGroupContainer

Flags: Write

Default value: FALSE

### The `“cursor-mode”` property

      “cursor-mode”              int

Cursor mode.

Owner: ETableGroupContainer

Flags: Write

Allowed values: [0,2]

Default value: 0

### The `“drawfocus”` property

      “drawfocus”                gboolean

Draw focus.

Owner: ETableGroupContainer

Flags: Write

Default value: FALSE

### The `“frozen”` property

      “frozen”                   gboolean

Frozen.

Owner: ETableGroupContainer

Flags: Read / Write

Default value: FALSE

### The `“height”` property

      “height”                   double

Height.

Owner: ETableGroupContainer

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“horizontal-draw-grid”` property

      “horizontal-draw-grid”     gboolean

Horizontal Draw Grid.

Owner: ETableGroupContainer

Flags: Write

Default value: FALSE

### The `“length-threshold”` property

      “length-threshold”         int

Length Threshold.

Owner: ETableGroupContainer

Flags: Read / Write

Allowed values: >= -1

Default value: 0

### The `“minimum-width”` property

      “minimum-width”            double

Minimum Width.

Owner: ETableGroupContainer

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“selection-model”` property

      “selection-model”          ESelectionModel *

Selection model.

Owner: ETableGroupContainer

Flags: Write

### The `“uniform-row-height”` property

      “uniform-row-height”       gboolean

Uniform row height.

Owner: ETableGroupContainer

Flags: Read / Write

Default value: FALSE

### The `“vertical-draw-grid”` property

      “vertical-draw-grid”       gboolean

Vertical Draw Grid.

Owner: ETableGroupContainer

Flags: Write

Default value: FALSE

### The `“width”` property

      “width”                    double

Width.

Owner: ETableGroupContainer

Flags: Read / Write

Allowed values: >= 0

Default value: 0